# USE

## Syntax <a href="#synopsis" id="synopsis"></a>

```sql
USE [DATABASE | ORGANIZATION | ROLE | SCHEMA | STORE] entity_name;
```

## Description <a href="#description" id="description"></a>

This switches the current session’s [database](/overview/core-concepts/databases.md), [organization](/overview/core-concepts/access-control.md#_organiation), [role](/overview/core-concepts/access-control.md#_role), [schema](/overview/core-concepts/databases.md#_schema), or [store](/overview/core-concepts/store.md).

### Arguments

#### entity\_name

The name of an existing entity to set as the user’s current for the active session. Use [SET DEFAULT](/reference/sql-syntax/command/set-default.md) to persist the change for new sessions. if tshe name is case-sensitive, you must wrap it in double quotes; otherwise, the system uses the lowercase name.

When using a new schema, a fully-qualified schema name can optionally be used to set the current database and schema.

## Examples <a href="#example" id="example"></a>

#### Use a new organization

In the following example, we have access to different organizations, and we switch to the `demo2` organization in the current sessions from the `test` organization:

```sh
<no-db>/<no-store># LIST ORGANIZATIONS;
+--------------------------------------+------------+-------------+-------------+--------------+--------------------+-------------------------------+
|  ID                                  |  Name      |  Is Current |  Is Default |  Description |  Profile Image Uri |  Created At                   |
+======================================+============+=============+=============+==============+====================+===============================+
| a2ab163c-a166-49b0-8282-10679479cd58 | test       | true        | true        | <null>       | <null>             | 2024-05-07 18:43:48 +0000 UTC |
+--------------------------------------+------------+-------------+-------------+--------------+--------------------+-------------------------------+
| 3736b067-e006-456d-96bf-3fb35b17bf91 | demo2      | false       | false       | <null>       | <null>             | 2024-05-07 18:43:58 +0000 UTC |
+--------------------------------------+------------+-------------+-------------+--------------+--------------------+-------------------------------+
<no-db>/<no-store># USE ORGANIZATION demo2;
+--------------+------------+------------+--------------------------+
|  Type        |  Name      |  Command   |  Summary                 |
+==============+============+============+==========================+
| organization | demo2      | USE        | using organization demo2 |
+--------------+------------+------------+--------------------------+
<no-db>/<no-store># LIST ORGANIZATIONS;
+--------------------------------------+------------+-------------+-------------+--------------+--------------------+-------------------------------+
|  ID                                  |  Name      |  Is Current |  Is Default |  Description |  Profile Image Uri |  Created At                   |
+======================================+============+=============+=============+==============+====================+===============================+
| a2ab163c-a166-49b0-8282-10679479cd58 | test       | false       | true        | <null>       | <null>             | 2024-05-07 18:43:48 +0000 UTC |
+--------------------------------------+------------+-------------+-------------+--------------+--------------------+-------------------------------+
| 3736b067-e006-456d-96bf-3fb35b17bf91 | demo2      | true        | false       | <null>       | <null>             | 2024-05-07 18:43:58 +0000 UTC |
+--------------------------------------+------------+-------------+-------------+--------------+--------------------+-------------------------------+
```

#### Use a new database

In the following example, we are creating a new database called `demodb2` and using it. Note the database in the command line prompt changing from `demodb` to `demodb2`:

```sh
demodb.public/demostore# CREATE DATABASE demodb2;
+------------+----------------+------------+------------------------------------------+
|  Type      |  Name          |  Command   |  Summary                                 |
+============+================+============+==========================================+
| database   | demodb2        | CREATE     | database demodb2 was successfully        |
|            |                |            | created                                  |
+------------+----------------+------------+------------------------------------------+
| schema     | demodb2.public | CREATE     | schema demodb2.public was successfully   |
|            |                |            | created                                  |
+------------+----------------+------------+------------------------------------------+
demodb.public/demostore# LIST DATABASES;
+------------+-------------+------------+-------------------------------+
|  Name      |  Is Default |  Owner     |  Created At                   |
+============+=============+============+===============================+
| demodb2    | false       | sysadmin   | 2024-05-07 18:23:24 +0000 UTC |
+------------+-------------+------------+-------------------------------+
| demodb     | true        | sysadmin   | 2024-05-07 18:19:38 +0000 UTC |
+------------+-------------+------------+-------------------------------+
demodb.public/demostore# USE DATABASE demodb2;
+------------+------------+------------+------------------------+
|  Type      |  Name      |  Command   |  Summary               |
+============+============+============+========================+
| database   | demodb2    | USE        | using database demodb2 |
+------------+------------+------------+------------------------+
demodb2.public/demostore#
```

#### Use a new schema

In the following example, we switch from the current `public` schema to use a new schema called `newschema`. Note how after the command is issued, the session's schema changes from `public` to `newschema`:

```sh
demodb.public/demostore# LIST SCHEMAS;
+------------+-------------+------------+-------------------------------+
|  Name      |  Is Default |  Owner     |  Created At                   |
+============+=============+============+===============================+
| public     | true        | sysadmin   | 2024-05-07 18:19:38 +0000 UTC |
+------------+-------------+------------+-------------------------------+
| newschema  | false       | sysadmin   | 2024-05-07 18:20:03 +0000 UTC |
+------------+-------------+------------+-------------------------------+
demodb.public/demostore# USE SCHEMA newschema;
demodb.newschema/demostore#
```

#### Use a new store

The following shows how `msk` store is set as the current store for the session to use:

```sh
demodb.public/demostore# LIST STORES;
+-------------+------------+----------------+------------+-------------+------------+-------------------------------+-------------------------------+
|  Name       |  Type      |  Access Region |  State     |  Is Default |  Owner     |  Created At                   |  Updated At                   |
+=============+============+================+============+=============+============+===============================+===============================+
| msk         | Kafka      | AWS us-east-1  | ready      | false       | sysadmin   | 2024-05-07 18:16:39 +0000 UTC | 2024-05-07 18:16:39 +0000 UTC |
+-------------+------------+----------------+------------+-------------+------------+-------------------------------+-------------------------------+
| demostore   | Kafka      | AWS us-east-1  | ready      | true        | sysadmin   | 2024-05-07 18:16:07 +0000 UTC | 2024-05-07 18:16:07 +0000 UTC |
+-------------+------------+----------------+------------+-------------+------------+-------------------------------+-------------------------------+
demodb.public/demostore# USE STORE msk;
+------------+------------+------------+-----------------+
|  Type      |  Name      |  Command   |  Summary        |
+============+============+============+=================+
| store      | msk        | USE        | Using store msk |
+------------+------------+------------+-----------------+
demodb.public/msk#
```

#### Use a new role

The following example shows how you can update the current role to `useradmin` to allow managing users and roles in the current session:

```sh
demodb.public/demostore# USE ROLE useradmin;
+------------+------------+------------+------------------------+
|  Type      |  Name      |  Command   |  Summary               |
+============+============+============+========================+
| role       | useradmin  | USE        | using role "useradmin" |
+------------+------------+------------+------------------------+
demodb.public/demostore# LIST ROLES;
+---------------+-------------+-------------+-------------------------------+-------------------------------+
|  Name         |  Is Current |  Is Default |  Created At                   |  Updated At                   |
+===============+=============+=============+===============================+===============================+
| public        | false       | false       | 2024-05-07 18:07:22 +0000 UTC | 2024-05-07 18:07:22 +0000 UTC |
+---------------+-------------+-------------+-------------------------------+-------------------------------+
| orgadmin      | false       | false       | 2024-05-07 18:07:22 +0000 UTC | 2024-05-07 18:07:22 +0000 UTC |
+---------------+-------------+-------------+-------------------------------+-------------------------------+
| securityadmin | false       | false       | 2024-05-07 18:07:22 +0000 UTC | 2024-05-07 18:07:22 +0000 UTC |
+---------------+-------------+-------------+-------------------------------+-------------------------------+
| useradmin     | true        | false       | 2024-05-07 18:07:22 +0000 UTC | 2024-05-07 18:07:22 +0000 UTC |
+---------------+-------------+-------------+-------------------------------+-------------------------------+
| sysadmin      | false       | true        | 2024-05-07 18:07:22 +0000 UTC | 2024-05-07 18:07:22 +0000 UTC |
+---------------+-------------+-------------+-------------------------------+-------------------------------+
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.deltastream.io/reference/sql-syntax/command/use.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
